# ACE_NULL_SYNCH Class Reference

Implement a do nothing Synchronization wrapper that typedefs the `ACE_Condition` and `ACE_Mutex` to the `Null*` versions. More...

`#include <Synch_Traits.h>`

List of all members.

## Public Types

typedef ACE_Null_Mutex | MUTEX
typedef ACE_Null_Mutex | NULL_MUTEX
typedef ACE_Null_Mutex | PROCESS_MUTEX
typedef ACE_Null_Mutex | RECURSIVE_MUTEX
typedef ACE_Null_Mutex | RW_MUTEX
typedef ACE_Null_Condition | CONDITION
typedef ACE_Null_Condition | RECURSIVE_CONDITION
typedef ACE_Null_Semaphore | SEMAPHORE
typedef ACE_Null_Mutex | NULL_SEMAPHORE

## Detailed Description

Implement a do nothing Synchronization wrapper that typedefs the `ACE_Condition` and `ACE_Mutex` to the `Null*` versions.

## Member Typedef Documentation

typedef ACE_Null_Condition ACE_NULL_SYNCH::CONDITION

typedef ACE_Null_Mutex ACE_NULL_SYNCH::MUTEX

typedef ACE_Null_Mutex ACE_NULL_SYNCH::NULL_MUTEX

typedef ACE_Null_Mutex ACE_NULL_SYNCH::NULL_SEMAPHORE

typedef ACE_Null_Mutex ACE_NULL_SYNCH::PROCESS_MUTEX

typedef ACE_Null_Condition ACE_NULL_SYNCH::RECURSIVE_CONDITION

typedef ACE_Null_Mutex ACE_NULL_SYNCH::RECURSIVE_MUTEX

typedef ACE_Null_Mutex ACE_NULL_SYNCH::RW_MUTEX

typedef ACE_Null_Semaphore ACE_NULL_SYNCH::SEMAPHORE

The documentation for this class was generated from the following file:

- Synch_Traits.h